function D = get_D_euc(V)

% Generates Euclidean distance matrix for given data set V (cols contain
% each data point as vector).

n = size(V,2); % n is the number of data points in V.

D = zeros(n); % Initialize D.

for i=1:n
    for j=i+1:n
        D(i,j) = norm(V(:,i) - V(:,j), 1); % Dij is the euclidean norm squared between i and j.
        D(j,i) = D(i,j); % Define lower triangular entries by symmetryl.
    end
end