function [V,X,proctime, solvetime,refinetime, Xraw, val, W] = weighted_kdc(data, k, Wfunction, solver)

% Given data, we generate and solve an instance of the max-mean weight
% partition problem, for k clusters.

%% Preprocess data.
tic
W = feval(Wfunction, data);
proctime = toc;   

%% Call solver.
tic
[Xraw,val] = feval(solver, W, k);
solvetime = toc;

% Refine
tic
[V, X] = refine_extract2(Xraw,k);
refinetime = toc;


    

    
